Subject: Re: [PATCH v5] userdiff: improve java hunk header regex

From: Junio C Hamano <[email-masked]>
Date: Wed, 11 Aug 2021 11:11:08 -0700

Tassilo Horn <[email-masked]> writes:

> That leads to the question if you'd welcome a patch adding a
> .dir-locals.el to the repository with the right settings so that it'll
> just work for contributors using the One True Editor.  Would you?

If your one true editor honored what is in .editorconfig, perhaps
there was no need for us to be having this conversation?  I dunno.

Our .gitattributes (the top one and also in subdirectories) try to
give reasonable whitespace rules for files, and specifically, files
in t/t????/ directories that are used as test vectors completely
disable whitespace checking, while everywhere else we insist certain
styles in the top-level .gitattributes file.

Thanks.